Subject: bug#13841: 24.3.50; Regression - unreadable `C-h k' help

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 Feb 2013 09:01:09 -0800

emacs -Q
 
C-h k
 
Then choose menu item Options > Line Wrapping in This Buffer > Truncate
Long Lines.
 
You see binary output instead of useful help:
 
<menu-bar> <options> <line-wrapping> <truncate> runs the command #[nil
"ILLEGIBLE, INCOMPREHENSIBLE BINARY INCANTATIONS" [visual-line-mode
word-wrap 0 nil toggle-truncate-lines 1] 2 nil nil], which is an
interactive compiled Lisp function.
 
It is bound to <menu-bar> <options> <line-wrapping> <truncate>.
 
(anonymous)
 
Not documented.

For reference wrt this regression, this is what Emacs 23.4 shows
instead - much more readable and helpful:
 
<menu-bar> <options> <line-wrapping> <truncate> runs the command
(lambda nil (interactive) (if visual-line-mode (visual-line-mode 0))
(setq word-wrap nil) (toggle-truncate-lines 1)), which is an
interactive Lisp function.
 
It is bound to <menu-bar> <options> <line-wrapping> <truncate>.
 
(anonymous)
 
Not documented.

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-02-25 on ODIEONE
Bzr revision: 111879 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'